{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Sandbox","description":"End-to-end tax automation platform for businesses to verify tax ids, calculate \u0026 pay taxes, generate e-invoices, process tax documents, analyse \u0026 reconcile tax ledgers, prepare and file tax returns through SDKs \u0026 APIs.","colors":{"primary":"#151455","light":"#CFCEFF","dark":"#1B1B20"},"logo":{"light":"https://mintcdn.com/in-co-sandbox/83aihwHbv0_fbS-u/static/logo/light.svg?fit=max\u0026auto=format\u0026n=83aihwHbv0_fbS-u\u0026q=85\u0026s=83271c8bdbc5e5c9585f979d9a278d59","dark":"https://mintcdn.com/in-co-sandbox/83aihwHbv0_fbS-u/static/logo/dark.svg?fit=max\u0026auto=format\u0026n=83aihwHbv0_fbS-u\u0026q=85\u0026s=179fdab40936062e350c9197e38ddf85","href":"https://developer.sandbox.co.in/"},"favicon":{"light":"https://mintcdn.com/in-co-sandbox/83aihwHbv0_fbS-u/static/favicon/light.svg?fit=max\u0026auto=format\u0026n=83aihwHbv0_fbS-u\u0026q=85\u0026s=11228c94a2f4982dc5e2b54c24501858","dark":"https://mintcdn.com/in-co-sandbox/83aihwHbv0_fbS-u/static/favicon/dark.svg?fit=max\u0026auto=format\u0026n=83aihwHbv0_fbS-u\u0026q=85\u0026s=3b7eaa27875373c8d3882169bf79874e"},"api":{"examples":{"prefill":true}},"background":{"decoration":"gradient"},"navbar":{"links":[{"icon":"life-ring","href":"https://help.sandbox.co.in/","label":"Help Centre"},{"icon":"phone","href":"https://sandbox.co.in/contact-sales","label":"Contact Sales"}],"primary":{"type":"button","label":"Sign Up","href":"https://accounts.sandbox.co.in/signup"}},"footer":{"socials":{"github":"https://github.com/in-co-sandbox","linkedin":"https://www.linkedin.com/showcase/sandboxapi","medium":"https://medium.com/blog-by-sandbox","youtube":"https://www.youtube.com/@sandboxapi","x":"https://twitter.com/sandbox_api"}},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"gtm":{"tagId":"GTM-NWRF32W"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"in-co-sandbox","hasAudioNarration":false,"actualSubdomain":"in-co-sandbox","customDomains":["developer.sandbox.co.in"],"gitSource":{"type":"github","owner":"company-quicko","repo":"in-co-sandbox","deployBranch":"main","contentDirectory":"in-co-sandbox-docs","isPrivate":true,"mountPath":"","label":"","_id":"6adf43f8a6cc13f54cfb5698"},"chroma":{"latestBuiltDeploymentHistoryId":"6aec2063afba45a8ed32643b","collectionId":"bfb713c2-a4f2-4e82-a23b-1c8a457a9f00","liveDeploymentHistoryId":"6aec2063afba45a8ed32643b","schemaVersion":"v3"},"entitlements":{},"buildId":"6aec2063afba45a8ed32643b","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":359},{"language":"default","tag":"GST","count":201},{"language":"default","tag":"Compliance","count":201},{"language":"default","tag":"Taxpayer","count":117},{"language":"default","tag":"TDS","count":89},{"language":"default","tag":"Income Tax","count":57},{"language":"default","tag":"KYC","count":54},{"language":"default","tag":"Calculator","count":44},{"language":"default","tag":"Tax P\u0026L","count":41},{"language":"default","tag":"E-Way Bill","count":40}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-tabs{display:flex;align-items:center;justify-content:flex-start;width:100%}.nav-tabs>.nav-tabs-item:not(:has(~.nav-tabs-item)){margin-left:auto!important}img.icon,a img.icon,img[class*=\"icon\"],a img[class*=\"icon\"],img[class*=\"bg-\"],a img[class*=\"bg-\"],.card img.icon,.card a img.icon,.nav-dropdown-item-icon img,.nav-dropdown-item-icon a img{background:transparent!important;background-color:transparent!important;box-shadow:none!important}.dark img.icon,.dark a img.icon,body:has(#landing_page_background_div) #header,body:has(#landing_page_background_div) header#header{display:none!important}.dark img[class*=\"bg-\"],.dark a img[class*=\"bg-\"]{background:transparent!important;background-color:transparent!important;box-shadow:none!important}img.icon,a img.icon{padding:0!important;border-radius:0!important}div:has(>div>div>div>#landing_page_background_div){width:100%;height:100%;background:url('/static/svg/landing/bg-pattern-light.svg');background-size:contain;background-repeat:no-repeat}.dark div:has(>div>div>div>#landing_page_background_div){background:url('/static/svg/landing/bg-pattern.svg');background-size:contain;background-repeat:no-repeat}"}],"page":{"pagePath":"api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job","slug":"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job","pageMetadata":{"title":"Poll Job","description":"Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.","openapi":"api-reference/gst/analytics/openapi.json GET /gst/analytics/gstr-2a-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Fetch GSTR-2A reconciliation job status and download reconciliation report on job’s successful completion.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Card,Heading,Note}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`When the job succeeds, this endpoint returns a signed URL for the reconciliation report workbook.`}),`\n`,_jsx(Heading,{level:`4`,id:`reconciliation-report-schema`,children:`Reconciliation report schema`}),`\n`,_jsx(_components.p,{children:`Use this workbook schema to inspect or validate the downloaded report.`}),`\n`,_jsx(Card,{title:`View reconciliation report schema`,icon:`file-spreadsheet`,href:`https://sheet-tools.quicko.org.in/sheet-schema-builder?schema_url=https://developer.sandbox.co.in/data/gst/analytics/reconciliation/reconciliation_report_workbook.schema.json`,arrow:`true`,horizontal:true}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`If the job fails validation, use the `,_jsx(_components.code,{children:`validation_report_url`}),` from the poll response to review the issues in the uploaded files.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Poll Job","description":"Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.","openapi":"api-reference/gst/analytics/openapi.json GET /gst/analytics/gstr-2a-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Reconciliation report schema","slug":"reconciliation-report-schema","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Reconcile GSTR-2A Job Status","description":"Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.","tags":["GSTR-2A Reconciliation"],"parameters":["42bcf88d-e978-4e91-8450-c83ec13a5cd5","8d58bc89-a3f1-40bf-8170-b3a0266a611a","17795bfe-ba7b-4543-902b-019a60eaef43","850353f5-cf38-4c58-90c9-f6244fe80f8f"],"responses":{"default":"7075098a-f09e-4eca-bb71-c83561354d2f"},"method":"get","type":"path","servers":["521f9e81-d04a-4d44-9d40-8ca951a23b36","d7d1d17a-0cdf-4adf-a3cb-201f35a3ef70"],"security":[],"path":"/gst/analytics/gstr-2a-reconciliation","baseUrlOptions":["https://test-api.sandbox.co.in","https://api.sandbox.co.in"],"title":"Reconcile GSTR-2A Job Status","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[]},"dependencies":{"parameters":{"42bcf88d-e978-4e91-8450-c83ec13a5cd5":{"name":"job_id","in":"query","required":true,"description":"Job id of the created job","deprecated":false,"examples":{"200 Reconciliation Job Done":{"summary":"200 Reconciliation Job Done","value":"d3d19997-c48a-4867-95b9-5a77c3567098"},"200 Validation failed":{"summary":"200 Validation failed","value":"0cf9ae62-545a-403a-a206-f3f99df30570"}},"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Job id of the created job","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"8d58bc89-a3f1-40bf-8170-b3a0266a611a":{"name":"authorization","in":"header","required":true,"description":"JWT access token","deprecated":false,"schema":{"type":"string","isRequired":true,"description":"JWT access token","uniqueKey":"","typeLabel":"string"}},"17795bfe-ba7b-4543-902b-019a60eaef43":{"name":"x-api-key","in":"header","required":true,"description":"API key for identification","deprecated":false,"schema":{"type":"string","isRequired":true,"description":"API key for identification","uniqueKey":"","typeLabel":"string"}},"850353f5-cf38-4c58-90c9-f6244fe80f8f":{"name":"x-api-version","in":"header","description":"API version","schema":{"type":"string","default":"1.0.0","isRequired":false,"description":"API version","uniqueKey":"","typeLabel":"string"},"required":false}},"responses":{"7075098a-f09e-4eca-bb71-c83561354d2f":{"description":"200 Reconciliation Job Done","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"HTTP-like status code returned by the API.","example":200,"uniqueKey":"code","typeLabel":"integer"},"transaction_id":{"type":"string","format":"uuid","uniqueKey":"transaction_id","typeLabel":"string\u003cuuid>"},"data":{"type":"object","properties":{"@entity":{"type":"string","description":"Fully-qualified entity type.","example":"in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job","const":"in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job","uniqueKey":"data.@entity","typeLabel":"string"},"job_id":{"type":"string","format":"uuid","description":"ID of the reconciliation job (UUID).","example":"d3d19997-c48a-4867-95b9-5a77c3567098","uniqueKey":"data.job_id","typeLabel":"string\u003cuuid>"},"gstin":{"type":"string","description":"GSTIN of the taxpayer (15 characters).","pattern":"^[0-9]{2}[A-Z0-9]{13}$","minLength":15,"maxLength":15,"example":"24EGCAZ2081S7Z4","uniqueKey":"data.gstin","typeLabel":"string"},"year":{"type":"integer","description":"Financial year (calendar year) for the job.","example":2025,"uniqueKey":"data.year","typeLabel":"integer"},"month":{"type":"integer","description":"Month number (1-12).","minimum":1,"maximum":12,"example":12,"uniqueKey":"data.month","typeLabel":"integer"},"filing_preference":{"type":"string","description":"Filing preference used for the job.","enum":["monthly"],"example":"monthly","uniqueKey":"data.filing_preference","typeLabel":"enum\u003cstring>"},"reconciliation_criteria":{"type":"string","description":"Matching criteria used for reconciliation.","enum":["strict"],"example":"strict","uniqueKey":"data.reconciliation_criteria","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"Current status of the job.","enum":["created","queued","in_progress","succeeded","failed"],"example":"created","uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"reconciliation_report_url":{"type":"string","format":"uri","description":"Presigned URL for the reconciliation report.","uniqueKey":"data.reconciliation_report_url","typeLabel":"string\u003curi>"},"created_at":{"type":"integer","description":"Job creation timestamp in milliseconds since epoch","uniqueKey":"data.created_at","typeLabel":"integer"},"updated_at":{"type":"integer","description":"Job updation timestamp in milliseconds since epoch","uniqueKey":"data.updated_at","typeLabel":"integer"}},"uniqueKey":"data","typeLabel":"object"},"timestamp":{"type":"integer","uniqueKey":"timestamp","typeLabel":"integer"}},"uniqueKey":"","typeLabel":"object"},"examples":{"200 Reconciliation Job Done":{"title":"200 Reconciliation Job Done","value":{"code":200,"transaction_id":"d3d19997-c48a-4867-95b9-5a77c3567098","data":{"@entity":"in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job","job_id":"d3d19997-c48a-4867-95b9-5a77c3567098","gstin":"24EGCAZ2081S7Z4","year":2023,"month":12,"reconciliation_criteria":"strict","status":"succeeded","reconciliation_report_url":"https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2a-reconciliation/gstr-2a-reconciliation-report.xlsx","created_at":123,"updated_at":123},"timestamp":123}},"200 Validation failed":{"title":"200 Validation failed","value":{"code":200,"transaction_id":"d3d19997-c48a-4867-95b9-5a77c3567098","data":{"@entity":"in.co.sandbox.gst.analytics.gstr-2a_reconciliation.job","job_id":"0cf9ae62-545a-403a-a206-f3f99df30570","gstin":"24EGCAZ2081S7Z4","year":2023,"month":12,"filing_preference":"monthly","reconciliation_criteria":"strict","status":"failed","message":"Purchase ledger invalid as per schema","validation_report_url":"https://in-co-sandbox-gst-test-storage.s3.ap-south-1.amazonaws.com/gstr-2a-reconciliation/gstr-2a-reconciliation-report.xlsx","created_at":1777291058000,"updated_at":1777291058000},"timestamp":1777291058000}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"521f9e81-d04a-4d44-9d40-8ca951a23b36":{"url":"https://test-api.sandbox.co.in"},"d7d1d17a-0cdf-4adf-a3cb-201f35a3ef70":{"url":"https://api.sandbox.co.in"}}},"originalFileLocation":"api-reference/gst/analytics/openapi.json"},"subdomain":"in-co-sandbox","siteName":"Sandbox","title":"Poll Job - Sandbox","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-03T06:32:20.031Z","originalFileLocation":"api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Fetch GSTR-2A reconciliation job status and download reconciliation report on job\u0026#x27;s successful completion.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Sandbox\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Poll Job - Sandbox\">\u003cmeta data-mint-head property=\"og:description\" content=\"Fetch GSTR-2A reconciliation job status and download reconciliation report on job\u0026#x27;s successful completion.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Sandbox\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://in-co-sandbox.mintlify.site/_mintlify/api/og/v2?division=GSTR-2A+Reconciliation\u0026amp;title=Poll+Job\u0026amp;description=Fetch+GSTR-2A+reconciliation+job+status+and+download+reconciliation+report+on+job%27s+successful+completion.\u0026amp;theme=2049eaaef4c9428409e28013\u0026amp;signature=daeb641e6074fb9252165deabe428e5a5cf0d3fc566d8a30be66ead1dfb7d931\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Poll Job - Sandbox\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Fetch GSTR-2A reconciliation job status and download reconciliation report on job\u0026#x27;s successful completion.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://in-co-sandbox.mintlify.site/_mintlify/api/og/v2?division=GSTR-2A+Reconciliation\u0026amp;title=Poll+Job\u0026amp;description=Fetch+GSTR-2A+reconciliation+job+status+and+download+reconciliation+report+on+job%27s+successful+completion.\u0026amp;theme=2049eaaef4c9428409e28013\u0026amp;signature=daeb641e6074fb9252165deabe428e5a5cf0d3fc566d8a30be66ead1dfb7d931\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/in-co-sandbox/1vAiCQMOtoIXdhlB/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Sandbox\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#151455\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.sandbox.co.in/#organization\",\"name\":\"Sandbox\",\"url\":\"https://developer.sandbox.co.in\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/in-co-sandbox/83aihwHbv0_fbS-u/static/logo/light.svg?fit=max\u0026auto=format\u0026n=83aihwHbv0_fbS-u\u0026q=85\u0026s=83271c8bdbc5e5c9585f979d9a278d59\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.sandbox.co.in#website\",\"name\":\"Sandbox\",\"url\":\"https://developer.sandbox.co.in\",\"publisher\":{\"@id\":\"https://developer.sandbox.co.in/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job#webpage\",\"url\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job\",\"name\":\"Poll Job\",\"description\":\"Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.\",\"dateModified\":\"2026-11-03T06:32:20.031Z\",\"isPartOf\":{\"@id\":\"https://developer.sandbox.co.in#website\"},\"breadcrumb\":{\"@id\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Analytics\",\"item\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/openapi-specification\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"GSTR-2A Reconciliation\",\"item\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/guides/gstr-2a-reconciliation/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Poll Job\",\"item\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job#apireference\",\"headline\":\"Poll Job\",\"name\":\"Poll Job\",\"description\":\"Fetch GSTR-2A reconciliation job status and download reconciliation report on job's successful completion.\",\"url\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job\",\"mainEntityOfPage\":{\"@id\":\"https://developer.sandbox.co.in/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job#webpage\"},\"dateModified\":\"2026-11-03T06:32:20.031Z\",\"publisher\":{\"@id\":\"https://developer.sandbox.co.in/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.sandbox.co.in#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Sandbox\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Sandbox","nav":{"global":null,"tabs":[{"tab":"Guides","icon":"book-open","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","icon":"code","menu":[{"item":"Authentication","icon":"rocket-vertical","description":"Authenticate and get access to use Sandbox APIs","pages":[{"title":"Authentication","href":"/api-reference/authenticate"}]},{"item":"KYC","icon":"https://mintlify.s3.us-west-1.amazonaws.com/in-co-sandbox/static/svg/workload-icons/KYC.svg","description":"Confirm Identities with confidence","pages":[{"title":"KYC","href":"/api-reference/kyc/overview"}]},{"item":"GST","icon":"https://mintlify.s3.us-west-1.amazonaws.com/in-co-sandbox/static/svg/workload-icons/GST.svg","description":"Simple and Secure GST Compliance","pages":[{"title":"Overview","href":"/api-reference/gst/overview"},{"group":"Analytics","icon":"chart-mixed","pages":[{"title":"OpenAPI Spec","url":"https://developer.sandbox.co.in/api-reference/gst/analytics/openapi.json","href":"/api-reference/gst/analytics/openapi-specification"},{"group":"GSTR-2A Reconciliation","pages":[{"title":"Overview","href":"/api-reference/gst/analytics/guides/gstr-2a-reconciliation/overview"},{"title":"Submit Job","description":"Create GSTR-2A reconciliation job and get two signed URLs to upload GSTR-2A and purchase ledger.","openapi":"api-reference/gst/analytics/openapi.json POST /gst/analytics/gstr-2a-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/submit_job"},{"title":"Poll Job","openapi":"api-reference/gst/analytics/openapi.json GET /gst/analytics/gstr-2a-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2a-reconciliation/poll_job"}]},{"group":"GSTR-2B Reconciliation","pages":[{"title":"Overview","description":"Learn how to automate GSTR-2B reconciliation with purchase ledgers using the GST Analytics API.","href":"/api-reference/gst/analytics/guides/gstr-2b-reconciliation/overview"},{"title":"Submit Job","openapi":"api-reference/gst/analytics/openapi.json POST /gst/analytics/gstr-2b-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2b-reconciliation/submit_job"},{"title":"Poll Job","openapi":"api-reference/gst/analytics/openapi.json GET /gst/analytics/gstr-2b-reconciliation","href":"/api-reference/gst/analytics/endpoints/gstr-2b-reconciliation/poll_job"}]}]},{"group":"Compliance","icon":"box-check","pages":[{"title":"OpenAPI Spec","url":"https://developer.sandbox.co.in/api-reference/gst/compliance/openapi.json","href":"/api-reference/gst/compliance/openapi-specification"},{"group":"Public","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/public/overview"},{"title":"Search GSTIN","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstin/search","href":"/api-reference/gst/compliance/endpoints/public/search_gstin"},{"title":"Get day-wise changed GSTINs","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstin/changed-list","href":"/api-reference/gst/compliance/endpoints/public/get-day-wise-changed-gstins"},{"title":"Get unregistered applicant details","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/unregistered-applicants","href":"/api-reference/gst/compliance/endpoints/public/get-unregistered-applicant-details"},{"title":"Validate unregistered applicants","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/unregistered-applicants/validation","href":"/api-reference/gst/compliance/endpoints/public/unregistered-applicants-validation"},{"title":"Track GST Returns","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstrs/track","href":"/api-reference/gst/compliance/endpoints/public/track_gstrs"},{"title":"Search GSTIN by PAN","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/pan/search","href":"/api-reference/gst/compliance/endpoints/public/search_pan_state_code"},{"title":"Verify GSTIN","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstin/verify","href":"/api-reference/gst/compliance/endpoints/public/verify_gstin"},{"title":"Get Return Preference","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstrs/preference","href":"/api-reference/gst/compliance/endpoints/public/get_preference"}]},{"group":"Taxpayer","pages":[{"group":"Authentication","pages":[{"title":"Enable API Access","href":"/api-reference/gst/compliance/guides/taxpayer/authentication/enable_api_access"},{"title":"Generate OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/otp","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/generate_otp"},{"title":"Verify OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/otp/verify","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/verify_otp"},{"title":"Refresh Access Token","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/session/refresh","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/refresh_session"},{"title":"Generate EVC OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/evc/otp","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/generate_evc_otp"},{"title":"Logout","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/logout","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/logout"}]},{"group":"GSTR-1","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/gstr-1/overview"},{"title":"GSTR-1 Summary","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/gstr_1"},{"group":"GSTR-1 Documents","pages":[{"title":"GSTR-1 AT","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/at/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/at"},{"title":"GSTR-1 ATA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/ata/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/ata"},{"title":"GSTR-1 B2B","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2b"},{"title":"GSTR-1 B2BA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2ba/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2ba"},{"title":"GSTR-1 B2CL","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2cl/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2cl"},{"title":"GSTR-1 B2CLA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2cla/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2cla"},{"title":"GSTR-1 B2CS","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2cs/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2cs"},{"title":"GSTR-1 B2CSA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/b2csa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/b2csa"},{"title":"GSTR-1 CDNR","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/cdnr/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/cdnr"},{"title":"GSTR-1 CDNRA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/cdnra/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/cdnra"},{"title":"GSTR-1 CDNUR","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/cdnur/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/cdnur"},{"title":"GSTR-1 CDNURA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/cdnura/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/cdnura"},{"title":"GSTR-1 Document Issued","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/doc-issue/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/doc_issue"},{"title":"GSTR-1 EXP","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/exp/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/exp"},{"title":"GSTR-1 EXPA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/expa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/expa"},{"title":"GSTR-1 HSN Summary","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/hsn/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/get_hsn"},{"title":"GSTR-1 TXP","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/txp/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/txp"},{"title":"GSTR-1 TXPA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/txpa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/txpa"},{"title":"GSTR-1 ECOM","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/ecom/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/ecom"},{"title":"GSTR-1 ECOMA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/ecoma/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/ecoma"},{"title":"GSTR-1 SUPECO","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/supeco/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/supeco"},{"title":"GSTR-1 SUPECOA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/supecoa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/supecoa"},{"title":"Get GSTR-1 NIL Supplies","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1/nil/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/documents/nil"}]},{"group":"File GSTR-1","pages":[{"title":"Save GSTR-1","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/file/save"},{"title":"GST Return status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/status","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/gst_return_status"},{"title":"New Proceed to File","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/{gstr}/{year}/{month}/new-proceed","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/file/new_proceed"},{"title":"Generate EVC OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/evc/otp","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/generate_evc_otp"},{"title":"File GSTR-1","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}/file","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/file/file"},{"title":"Reset GSTR-1","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}/reset","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1/file/reset"}]}]},{"group":"GSTR-1A","pages":[{"title":"GSTR-1A Summary","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/gstr_1a"},{"group":"GSTR-1A Documents","pages":[{"title":"GSTR-1A AT","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/at/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/at"},{"title":"GSTR-1A ATA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/ata/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/ata"},{"title":"GSTR-1A B2B","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2b"},{"title":"GSTR-1A B2BA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2ba/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2ba"},{"title":"GSTR-1A B2CL","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2cl/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2cl"},{"title":"GSTR-1A B2CLA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2cla/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2cla"},{"title":"GSTR-1A B2CS","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2cs/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2cs"},{"title":"GSTR-1A B2CSA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/b2csa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/b2csa"},{"title":"GSTR-1A CDNR","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/cdnr/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/cdnr"},{"title":"GSTR-1A CDNRA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/cdnra/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/cdnra"},{"title":"GSTR-1A CDNUR","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/cdnur/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/cdnur"},{"title":"GSTR-1A CDNURA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/cdnura/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/cdnura"},{"title":"GSTR-1A Document Issued","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/doc-issue/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/doc_issue"},{"title":"GSTR-1A EXP","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/exp"},{"title":"GSTR-1A EXPA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/expa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/expa"},{"title":"GSTR-1A HSN Summary","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/hsn/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/get_hsn"},{"title":"GSTR-1A TXP","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/txp/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/txp"},{"title":"Get GSTR-1A TXPA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/txpa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/txpa"},{"title":"GSTR-1A ECOM","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/ecom/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/ecom"},{"title":"GSTR-1A ECOMA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/ecoma/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/ecoma"},{"title":"Get GSTR-1A SUPECO","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/supeco/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/supeco"},{"title":"Get GSTR-1A SUPECOA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/supecoa/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/supecoa"},{"title":"Get GSTR-1A NIL Supplies","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/nil/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/documents/nil"}]},{"group":"File GSTR-1A","pages":[{"title":"Get GSTR-1A Declaration Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-1a/file/declaration_details"}]}]},{"group":"GSTR-2A","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/gstr-2a/overview"},{"title":"GSTR-2A AMDHIST","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/amdhist/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/amdhist"},{"title":"GSTR-2A B2B","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/b2b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/b2b"},{"title":"Get GSTR-2A B2BA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/b2ba/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/b2ba"},{"title":"GSTR-2A CDN","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/cdn/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/cdn"},{"title":"GSTR-2A CDNA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/cdna/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/cdna"},{"title":"GSTR-2A Document","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/document"},{"title":"Get GSTR-2A ECOM","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/ecom/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/ecom"},{"title":"Get GSTR-2A ECOMA","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/ecoma/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/ecoma"},{"title":"GSTR-2A IMPG","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/impg/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/impg"},{"title":"GSTR-2A IMPGSEZ","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/impgsez/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/impgsez"},{"title":"GSTR-2A ISD","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/isd/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/isd"},{"title":"GSTR-2A TCS","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/tcs/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/tcs"},{"title":"GSTR-2A TDS","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/tds/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2a/tds"}]},{"group":"GSTR-2B","pages":[{"title":"GSTR-2B Document","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2b/document"},{"title":"Regenerate GSTR-2B","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-2b/{year}/{month}/regenerate","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2b/regenerate_gstr_2b"},{"title":"GSTR-2B Regeneration Status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2b/regenerate","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-2b/gstr_2b_regeneration_status"}]},{"group":"GSTR-3B","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/gstr-3b/overview"},{"title":"Get GSTR-3B Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-3b/gstr_3b_details"},{"group":"File GSTR-3B","pages":[{"title":"Get GSTR-3B Liability Auto Calc","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/auto-liability-calc","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-3b/auto_liability_calc"},{"title":"Save GSTR-3B","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-3b/save"},{"title":"GST Return status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/status","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/gst_return_status"},{"title":"Offset Liability","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/offset-liability","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-3b/offset_liability"},{"title":"Generate EVC OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/evc/otp","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/generate_evc_otp"},{"title":"File GSTR-3B","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}/file","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-3b/file"}]}]},{"group":"GSTR-9","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/gstr-9/overview"},{"title":"GSTR-9 Auto Calculated Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-9/auto-calculated","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/auto_calculated_details"},{"title":"Section 8A Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-9/table-8a","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/section_8a_details"},{"title":"Save GSTR-9","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-9/save","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/save"},{"title":"GST Return status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/status","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/gst_return_status"},{"title":"GSTR-9 Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-9","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/gstr_9_details"},{"title":"Proceed to file","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/{gstr}/{year}/{month}/proceed","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/proceed"},{"title":"Generate EVC OTP","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/evc/otp","href":"/api-reference/gst/compliance/endpoints/taxpayer/authentication/generate_evc_otp"},{"title":"File GSTR-9","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-9/file","href":"/api-reference/gst/compliance/endpoints/taxpayer/gstr-9/file"}]},{"group":"Filing Preference","pages":[{"title":"Get Filing Preference","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/preference","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/get_filing_preference"},{"title":"Save Filing Preference","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/preference","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/save_filing_preference"}]},{"group":"Common","pages":[{"title":"Track Returns","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/{year}/{month}/track","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/track_returns"},{"title":"Get AATO Values","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/aato","href":"/api-reference/gst/compliance/endpoints/taxpayer/common/get_aato_values"}]},{"group":"Notices","pages":[{"title":"List Notices","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/notices","href":"/api-reference/gst/compliance/endpoints/taxpayer/notices/list_notices"},{"title":"Get Notice Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/notices/{referenceId}","href":"/api-reference/gst/compliance/endpoints/taxpayer/notices/get_notice_details"}]},{"group":"Ledgers","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/ledgers/overview"},{"title":"Cash ITC Balance","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/bal/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/ledgers/cash_itc_balance_ledger"},{"title":"Cash Ledger","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/cash","href":"/api-reference/gst/compliance/endpoints/taxpayer/ledgers/cash_ledger"},{"title":"ITC Ledger","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/itc","href":"/api-reference/gst/compliance/endpoints/taxpayer/ledgers/itc_ledger"},{"title":"Return Liability Ledger","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/tax/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/ledgers/return_liability_ledger"}]},{"group":"E-Invoice","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/e-invoice/overview"},{"title":"Get e-Invoice by IRN","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoice/{irn}","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/e_invoice"},{"title":"Get E-Invoice HSN Summary","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/hsn/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/get_hsn_summary"},{"title":"List Purchase E-Invoices Job","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/list_purchase_invoices_job"},{"title":"List Purchase E-Invoices Job Status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/list_purchase_invoices_job_status"},{"title":"List Sales E-Invoices Job","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/e-invoices/{year}/{month}/sales","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/list_sales_invoices_job"},{"title":"List Sales E-Invoices Job Status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/{year}/{month}/sales","href":"/api-reference/gst/compliance/endpoints/taxpayer/e-invoice/list_sales_invoices_job_status"}]},{"group":"Invoice Management System (IMS)","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/taxpayer/invoice-management-system/overview"},{"title":"Get Invoice Count","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/count","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/invoice_count"},{"title":"Get Invoices","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/invoices"},{"title":"Get Sales Invoices","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/{year}/{month}/sales","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/sales"},{"title":"Get Added Back Liability Records","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/added-back-liabilities/{year}/{month}","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/added-back-liabilities"},{"title":"Save Invoice Status","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/invoices/status/save","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/save"},{"title":"Reset Invoice Status","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/invoices/status/reset","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/reset"},{"title":"Check Invoice Status","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/invoices/status","href":"/api-reference/gst/compliance/endpoints/taxpayer/invoices/status"}]}]},{"group":"E-Invoice","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/e-invoice/overview"},{"title":"Dual-IRP routing","sidebarTitle":"Dual-IRP routing","href":"/api-reference/gst/compliance/guides/irp/routing"},{"title":"Create API credentials","href":"/api-reference/gst/compliance/guides/e-invoice/authentication/create_api_credentials"},{"title":"e-Invoice Authentication","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/authenticate","href":"/api-reference/gst/compliance/endpoints/e-invoice/authenticate"},{"title":"Generate e-Invoice","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/invoice","href":"/api-reference/gst/compliance/endpoints/e-invoice/generate_e_invoice"},{"title":"Generate e-Invoice PDF","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/pdf/generate","href":"/api-reference/gst/compliance/endpoints/e-invoice/generate_e_invoice_pdf"},{"title":"Cancel e-Invoice","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/invoice/{irn}/cancel","href":"/api-reference/gst/compliance/endpoints/e-invoice/cancel_e_invoice"},{"title":"Get e-Invoice by IRN","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-invoice/tax-payer/invoice/{irn}","href":"/api-reference/gst/compliance/endpoints/e-invoice/get_e_invoice"},{"title":"Get e-Invoice by document data","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-invoice/tax-payer/invoice","href":"/api-reference/gst/compliance/endpoints/e-invoice/get_e_invoice_by_document_data"},{"title":"Generate E-Way Bill by IRN","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill","href":"/api-reference/gst/compliance/endpoints/e-invoice/generate_e_way_bill"},{"title":"Get E-Way Bill by IRN","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-invoice/tax-payer/invoice/{irn}/e-way-bill","href":"/api-reference/gst/compliance/endpoints/e-invoice/get_e_way_bill"},{"title":"Search GSTIN Details","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/gstin/search","href":"/api-reference/gst/compliance/endpoints/e-invoice/search_gstin"}]},{"group":"E-Way Bill","pages":[{"title":"Overview","href":"/api-reference/gst/compliance/guides/e-way-bill/overview"},{"title":"Dual-IRP routing","sidebarTitle":"Dual-IRP routing","href":"/api-reference/gst/compliance/guides/irp/routing"},{"title":"Create API credentials","href":"/api-reference/gst/compliance/guides/e-way-bill/authentication/create_api_credentials"},{"title":"E-Way Bill Authentication","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/tax-payer/authenticate","href":"/api-reference/gst/compliance/endpoints/e-way-bill/authenticate"},{"group":"Consignor","pages":[{"title":"Generate E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/generate_e_way_bill"},{"title":"Get E-Way Bills by date","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/bills","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/get_e_way_bill_by_date"},{"title":"Get E-Way Bill by document data","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/bill","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/get_e_way_bill_by_document_data"},{"title":"Cancel E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/cancel","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/cancel_e_way_bill"},{"title":"Extend E-Way Bill Validity","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/extend","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/extend_validity"},{"title":"Update Vehicle Details (Part B)","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/update_vehicle_details"},{"title":"Update Transporter","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/transporter","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/update_transporter"},{"group":"Consolidated E-Way Bill","pages":[{"title":"Consolidate E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/consolidated-bill","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/consolidated-e-way-bill/consolidate_e_way_bill"},{"title":"Get Consolidated E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/consolidated-e-way-bill/get_consolidated_bill"},{"title":"Regenerate Consolidated E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}/regenerate","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/consolidated-e-way-bill/regenerate_consolidated_bill"}]},{"group":"Multi-Vehicle Movement","pages":[{"title":"Initiate Multi-Vehicle Movement","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/multi-vehicle-movement/initiate_multi_vehicle_movement"},{"title":"Add Vehicle","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/multi-vehicle-movement/add_vehicle"},{"title":"Update Vehicle","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignor/multi-vehicle-movement/update_vehicle"}]}]},{"group":"Consignee","pages":[{"title":"Get E-Way Bills by date","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignee/bills","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignee/get_e_way_bills_by_date"},{"title":"Reject E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignee/bill/{ewb_no}/reject","href":"/api-reference/gst/compliance/endpoints/e-way-bill/consignee/reject_e_way_bill"}]},{"group":"Transporter","pages":[{"title":"Get E-Way Bills by date and state","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/transporter/bills","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/get_e_way_bills_by_date_and_state"},{"title":"Get enriched E-Way Bills by assignment date","sidebarTitle":"Enriched bills by assignment date","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/enriched/e-way-bill/transporter/bills/by-assigned-date","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/get-enriched-bills-by-assigned-date"},{"title":"Get enriched E-Way Bills by generation date","sidebarTitle":"Enriched bills by generation date","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/enriched/e-way-bill/transporter/bills/by-generated-date","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/get-enriched-bills-by-generated-date"},{"title":"List E-Way Bills by Generator","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bills/list","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/list_e_way_bills_by_generator"},{"title":"Extend E-Way Bill Validity","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/extend","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/extend_validity"},{"title":"Update Vehicle Details (Part B)","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/update_vehicle_details"},{"title":"Update Transporter","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/transporter","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/update_transporter"},{"group":"Consolidated E-Way Bill","pages":[{"title":"Consolidate E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/consolidated-bill","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/consolidated-e-way-bill/consolidate_e_way_bill"},{"title":"Get Consolidated E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/transporter/consolidated-bill/{consolidated_ewb_no}","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/consolidated-e-way-bill/get_consolidated_bill"},{"title":"Regenerate Consolidated E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/consolidated-bill/{consolidated_ewb_no}/regenerate","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/consolidated-e-way-bill/regenerate_consolidated_bill"}]},{"group":"Multi-Vehicle Movement","pages":[{"title":"Initiate Multi-Vehicle Movement","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/multi-vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/multi-vehicle-movement/initiate_multi_vehicle_movement"},{"title":"Add Vehicle","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/multi-vehicle/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/multi-vehicle-movement/add_vehicle"},{"title":"Update Vehicle","openapi":"api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/multi-vehicle/vehicle","href":"/api-reference/gst/compliance/endpoints/e-way-bill/transporter/multi-vehicle-movement/update_vehicle"}]}]},{"group":"Common","pages":[{"title":"Get E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/get_e_way_bill"},{"title":"Generate E-Way Bill PDF","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}/pdf/generate","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/generate_e_way_bill_pdf"},{"title":"Generate E-Way Bill PDF by IRN","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/invoice/{irn}/pdf/generate","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/generate_e_way_bill_pdf_by_irn"},{"title":"Close E-Way Bill","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/bill/close","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/close_e_way_bill"},{"title":"Get Error List","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/error-list","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/get_error_list"},{"title":"Get HSN Details","openapi":"api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/hsn","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/get_hsn_details"},{"title":"Search GSTIN","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/tax-payer/gstin/search","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/search_gstin"},{"title":"Search Transporter ID","openapi":"api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/tax-payer/transin/search","href":"/api-reference/gst/compliance/endpoints/e-way-bill/common/search_transporter"}]}]}]},{"group":"Annexures","pages":[{"title":"E-Invoice master data","href":"/api-reference/gst/annexures/e-invoice-master-data"},{"title":"E-Invoice error codes","href":"/api-reference/gst/annexures/e-invoice-error-codes"},{"title":"E-Way Bill master data","href":"/api-reference/gst/annexures/e-way-bill-master-data"},{"title":"E-Way Bill error codes","href":"/api-reference/gst/annexures/e-way-bill-error-codes"}]}]},{"item":"TDS","icon":"https://mintlify.s3.us-west-1.amazonaws.com/in-co-sandbox/static/svg/workload-icons/TDS.svg","description":"Automate TDS on Salary \u0026 Non-Salary Payments","pages":[{"title":"TDS","href":"/api-reference/tds/overview"}]},{"item":"Income Tax","icon":"https://mintlify.s3.us-west-1.amazonaws.com/in-co-sandbox/static/svg/workload-icons/IT.svg","description":"Direct tax compliance on auto-pilot","pages":[{"title":"Income Tax","href":"/api-reference/it/overview"}]},{"item":"Bank","icon":"https://mintlify.s3.us-west-1.amazonaws.com/in-co-sandbox/static/svg/Bank.svg","description":"Bank APIs","hidden":true,"pages":[{"title":"Bank","href":"/api-reference/bank/overview"}]}]},{"tab":"Recipes","icon":"flask","menu":[{"item":"KYC","description":"Quick recipes for fast, reliable identity checks.","pages":[{"title":"KYC","href":"/recipes/kyc/introduction"}]},{"item":"GST","description":"Easy steps for smooth, error-free GST workflows.","pages":[{"title":"GST","href":"/recipes/gst/introduction"}]},{"item":"TDS","description":"Guides to set up seamless, automated TDS.","pages":[{"title":"TDS","href":"/recipes/tds/introduction"}]},{"item":"Income Tax","description":"Ready flows to automate your Income tax tasks.","pages":[{"title":"Income Tax","href":"/recipes/it/introduction"}]}],"pages":[{"title":"Recipes","href":"/recipes/kyc/introduction"}]},{"tab":"Changelog","icon":"clock","pages":[{"title":"Changelog","href":"/changelog"}]},{"tab":"Resources","icon":"books","menu":[{"item":"Postman Collections","icon":"book-bookmark","href":"https://www.postman.com/in-co-sandbox/sandbox-api"},{"item":"SDKs \u0026 Clients","icon":"cube","href":"https://github.com/in-co-sandbox"},{"item":"MCP Server","icon":"server","description":"","href":"https://developer.sandbox.co.in/mcp"},{"item":"Status","icon":"signal-stream","href":"https://status.api.sandbox.co.in/"},{"item":"Pricing","icon":"indian-rupee-sign","href":"https://sandbox.co.in/pricing?utm_campaign=header-menu\u0026utm_source=in-co-sandbox-developer\u0026utm_medium=direct"},{"item":"Customer Stories","icon":"users","href":"https://sandbox.co.in/customers"}]}]},"basePath":"","title":"Poll Job - Sandbox","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","Page-CxAy5y67.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js","Markdown-CpxgzsKA.js","clsx-C5EfhVm0.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CJ9Oly2E.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Mk6P3qvh.js"]}